Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 593731 - [abrt] crash in fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13: proxyclient.py:275:send_request:error: (6, 'Resolving host timed out: admin.fedoraproject.org')
[abrt] crash in fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13: proxyclient...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
abrt_hash:8953bd50
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 11:25 EDT by G.Wolfe Woodbury
Modified: 2011-06-27 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.09 KB, text/plain)
2010-05-19 11:25 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2010-05-19 11:25:51 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/fedora-easy-karma --fas-username=redwolfe
component: fedora-easy-karma
executable: /usr/bin/fedora-easy-karma
kernel: 2.6.33.4-95.fc13.i686.PAE
package: fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13
reason: proxyclient.py:275:send_request:error: (6, 'Resolving host timed out: admin.fedoraproject.org')
release: Fedora release 13 (Goddard)
Comment 1 G.Wolfe Woodbury 2010-05-19 11:25:53 EDT
Created attachment 415158 [details]
File: backtrace
Comment 2 G.Wolfe Woodbury 2010-05-19 11:28:32 EDT
Should handle DNS timeouts gracefully.
Comment 3 Bernie Innocenti 2010-09-07 11:10:55 EDT
Package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Sometimes fedora-easy-karma resolves admin.fedoraproject.org to its IPv6 address,
even though my machine has no global IPv6 route.

On connection failure, the application dies with a traceback, which is in itself a bug.
Comment 4 Matthias Runge 2011-03-10 16:07:23 EST
Package: fedora-easy-karma-0-0.11.20101123gitf70e9b6d.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


How to reproduce
-----
1. start fedora-easy-karma
2. bang!
3.


Comment
-----
[mrunge@sofja ~]$ fedora-easy-karma 
Getting list of installed packages...
Getting list of packages in updates-testing...
Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 452, in <module>
    FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 294, in __init__
    testing_updates.extend(bc.query(release=release, status="pending", request="testing", limit=1000)["updates"])
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 147, in query
    return self.send_request('list', req_params=params, auth=auth)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 316, in send_request
    req_params = req_params, auth_params = auth_params)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 275, in send_request
    request.perform()
pycurl.error: (6, 'Could not resolve host: admin.fedoraproject.org; Cannot allocate memory')

[mrunge@sofja ~]$ host admin.fedoraproject.org
admin.fedoraproject.org is an alias for wildcard.fedoraproject.org.
wildcard.fedoraproject.org has address 80.239.156.215
wildcard.fedoraproject.org has address 209.132.181.16
wildcard.fedoraproject.org has address 85.236.55.6
wildcard.fedoraproject.org has IPv6 address 2610:28:1000:1401::fed0:2
wildcard.fedoraproject.org has IPv6 address 2001:4178:2:1269::12

[mrunge@sofja ~]$ ping admin.fedoraproject.org
PING wildcard.fedoraproject.org (80.239.156.215) 56(84) bytes of data.
64 bytes from proxy5-2.fedoraproject.org (80.239.156.215): icmp_req=1 ttl=59 time=23.0 ms
Comment 5 Ed Marshall 2011-03-30 10:53:10 EDT
Package: fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. In first terminal window: "ssh -D 1080 localhost" (or some other host you'd like to proxy through)
2. In second terminal window: "export all_proxy=socks://127.0.0.1:1080"
3. Again, in second window: "fedora-easy-karma"

Comment
-----
I have a SOCKS5 proxy (provided by ssh) configured via GNOME's preferences, and exported by gnome-terminal via the "all_proxy", "ALL_PROXY", "no_proxy", and "NO_PROXY" environment variables.

Unsetting these manually works correctly when I'm on a network that permits direct outbound connectivity. The error looks like it's trying an HTTP CONNECT proxy rather than SOCKS somewhere along the line.

abrt is probably going to open this as a ticket against fedora-easy-karma, but it inherits the issue from python-fedora, which in turn appears to support proxies automatically via pycurl/libcurl. So, I'm not sure if the problem lies with python-fedora, pycurl, or libcurl, or some combination of the three.
Comment 6 Bug Zapper 2011-06-02 09:49:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:29:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.